gnome-console (51~rc-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update minimum glib, gtk4, and libadwaita

  [ Dawid Kulas ]
  * Update debian/watch to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Aug 2026 06:42:29 +0200

gnome-console (50.0-3) unstable; urgency=medium

  * Update debhelper compat to 14

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jul 2026 08:02:21 +0200

gnome-console (50.0-2) unstable; urgency=medium

  * Add Depends: locales-all for build tests as required by gtk4 4.22.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 Apr 2026 08:26:18 -0400

gnome-console (50.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 Apr 2026 14:45:31 -0400

gnome-console (49.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Dec 2025 10:51:17 -0500

gnome-console (49.1-3) unstable; urgency=medium

  * Add Build-Depends: libxml2-utils for xmllint
  * Remove unnecessary direct Build-Depends: dbus-daemon

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Dec 2025 22:08:17 -0500

gnome-console (49.1-2) unstable; urgency=medium

  * Replace Build-Depends: dbus with dbus-daemon (Closes: #1122599)
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Dec 2025 14:41:44 -0500

gnome-console (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Oct 2025 10:55:48 -0400

gnome-console (49.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4 & libadwaita
  * Run build tests with dbus & xvfb
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 16:50:04 -0400

gnome-console (48.0.1-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:57:16 +0200

gnome-console (48.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:27:59 -0400

gnome-console (48~rc-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 20:26:43 -0400

gnome-console (47.1-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 16:07:13 -0500

gnome-console (47.1-2) experimental; urgency=medium

  * debian/README.source: update branch name & don't recommend pbuilder
  * Remove obsolete kgx transitional package and Breaks/Replaces
  * Cherry-pick patches to fix compatibility with gtk 4.17

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Dec 2024 21:31:17 -0500

gnome-console (47.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Update dependencies
  * d/copyright: Update
  * d/p/Open-new-tabs-in-the-current-folder.patch:
    Drop patch to open new tabs in the current directory for now.
    This requires non-trivial rebasing, and has been rejected upstream;
    upstream's position is that distros should provide a way to source
    /etc/profile.d/vte-2.91.sh for each new interactive shell, either
    by sourcing /etc/profile.d in interactive shells (like Fedora does)
    or by having some other integration mechanism for interactive shells,
    like adding bashrc.d (#675008, #894999) and zshrc.d (#776663).
  * d/gnome-console.README.Debian:
    Describe how to make new tabs keep working directory
  * Rename maintainer scripts to debian/gnome-console.*.
    This makes it clearer that they are specific to one binary package.

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Oct 2024 10:17:22 +0000

gnome-console (46.0-2) unstable; urgency=medium

  * Bump minimum glib, gtk4, and vte2.91
  * Bump Standards Version to 4.7.0
  * Stop using dh-sequence-gnome
  * Remove Ubuntu purple background patch because gnome-console
    won't be Ubuntu's default terminal, but maybe ptyxis will be
    eventually (LP: #2036353, #2039616)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Aug 2024 11:30:37 -0400

gnome-console (46.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 11:48:26 -0400

gnome-console (46~rc-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum VTE to 0.75.1
  * Stop using debian/control.in and dh_gnome_clean
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Mar 2024 11:41:19 -0500

gnome-console (45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.12.2
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 10:37:11 -0400

gnome-console (45~beta-2) unstable; urgency=medium

  * Cherry-pick patch to fix Open/Copy Link showing too often
  * Cherry-pick another regression fix
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 19:20:06 -0400

gnome-console (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4, glib, and libadwaita
  * Add patch to set background to purple on Ubuntu (LP: #1977769)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 22:56:59 -0400

gnome-console (44.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:59:44 -0400

gnome-console (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:29:21 -0400

gnome-console (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.3~alpha
  * Refresh patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 10:10:21 -0500

gnome-console (43.0-2) unstable; urgency=medium

  * Build-Depend on dh-sequence-gnome & opt in to Ubuntu language packs
  * Update debian/gbp.conf, debian/watch, & DEB_LDFLAGS for team style

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 16:02:59 -0400

gnome-console (43.0-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/control: transfer package to the Debian GNOME team.
    This is now a core GNOME package, maintaining it within the GNOME team
    makes more sense.
  * d/control: update minimum glib version.
    Upstream now requires glib >= 2.72, let's reflect that.
  * d/patches: rebase on latest upstream version.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * Build-Depends: Drop versioned constraint on gsettings-desktop-schemas-dev
      and libpcre2-dev.
    * gnome-console: Drop versioned constraint on gsettings-desktop-schemas in
      Depends.
    Changes-By: deb-scrub-obsolete

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 27 Sep 2022 10:11:11 +0200

gnome-console (43~beta-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream version
  * d/gbp.conf: improve for easing work with `gbp import-orig`
    By using `upstream-vcs-tag` instead of `upstream-tag` we can import
    upstream changes more easily, while still retaining the full git
    history.
  * d/control: update my email and bump Standards-Version.
    No other change needed, take this opportunity to sort build-deps.
  * d/gbp.conf: set `multimaint-merge` to true
  * d/control: drop obsolete build dependency
  * d/copyright: update for new upstream release

  [ Jeremy Bicha ]
  * debian/control: Recommend nautilus-extension-gnome-console
    (Closes: #1008833)
  * Add debian/postinst & debian/prerm to register kgx
    as an x-terminal-emulator with priority 40 (Closes: #1008805) (LP: #1977767)
  * Revert "debian/control: Recommend nautilus-extension-gnome-console"
    This reverts commit 06156a66d9799873e3235004b60cbd86f59e0a63.
  * Drop patch applied in new release
  * Build with gtk4 and libadwaita
  * Drop obsolete nautilus-extension-gnome-console

  [ James Tocknell ]
  * Add x-terminal-emulator to provides

  [ Sergio Costas Rodriguez ]
  * Add patch to open new tabs in the current working directory
    (Closes: #1008806) (LP: #1973825)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 09 Aug 2022 15:22:49 +0200

gnome-console (42~beta-2) unstable; urgency=medium

  * Source-only upload for allowing testing transition, no other change

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 17 Mar 2022 16:26:42 +0100

gnome-console (42~beta-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream release.
  * debian: rename package to gnome-console.
    Upstream package became a GNOME core application and got renamed to
    `Console` in the process. This commit acknowledges this move by:
    - renaming the Debian package to `gnome-console`
    - replacing all occurrences of "Kings Cross" with "Console"
    - pointing to the new upstream URL
    - adding a transitional package for smooth upgrades
    - update copyright entries for renamed files
  * d/patches: drop obsolete patch.
    Upstream doesn't build a shared library anymore, making our patch
    obsolete as it solved a reproducibility issue affecting this exact
    shared library.
  * d/rules: drop pkg.kgx.generic build profile.
    Upstream used to provide a "generic" build profile with a different icon
    and application name than what was used for "regular" builds. This is no
    longer an option, and as such we can drop our corresponding
    `pkg.kgx.generic` build profile.
  * d/control: update build dependencies.
    Upstream bumped the required versions for some of the build
    dependencies, this commit makes sure our package has the same
    requirements.
  * debian: fix handling pre-release version numbers.
    Upstream releases beta versions with a `.beta` suffix (and similar
    suffixes are likely to be expected for alpha and rc versions). This
    commit adds the necessary bits to both our `watch` and `gbp.conf` files
    in order to properly deal with such version numbers in conformity with
    the Debian policy.
  * debian: build Nautilus extension.
    Console provides an optional extension for Nautilus. In order to build
    it and package it as `nautilus-extension-gnome-console`, this commit
    adds the necessary build-dependency and new package definition to
    `d/control`, and also introduces the corresponding `.install` file.
  * d/patches: drop custom RPATH in executable.
    Fixes: lintian: custom-library-search-path
  * d/copyright: update and add entry for `po` files.
    Our `copyright` file was missing information about translation files,
    for which translators weren't credited. Fix this and update copyright
    file so the data is accurate and includes newly added files.

  [ Jeremy Bicha ]
  * Don't run build tests through xvfb
  * debian/rules: Don't manually set build directory
  * Don't Build-Depend on git
  * Update Vcs fields
  * debian/rules: Enable auto features.
    This force enables all the auto meson options.
    Otherwise, we could accidentally have features disabled
    because we didn't have a dependency installed.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 23 Feb 2022 12:18:33 +0100

kgx (0.4.0-1) unstable; urgency=medium

  * d/gbp.conf: remove the 'v' from debian tag
  * New upstream version 0.4.0
  * d/control: fix Vcs-* URLs and update build dependencies (Closes: #993853)
  * d/rules: enable tests by default
  * d/copyright: update for new release and reformat
  * d/patches: remove deprecated patches
  * d/patches: don't set custom RPATH for private library

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Mon, 08 Nov 2021 13:02:24 +0100

kgx (0.2.1-2) unstable; urgency=medium

  [ Federico Ceratto ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Arnaud Ferraris ]
  * d/copyright: add missing copyright entries for icons
  * d/control: change maintainer to DebianOnMobile team

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 17 Sep 2020 15:23:29 +0200

kgx (0.2.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #956839)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 15 Apr 2020 21:30:39 +0200
